Package javassist.bytecode

# Class StackMap.Writer

java.lang.Object
javassist.bytecode.StackMap.Writer

Enclosing class:
  `StackMap`

public static class StackMap.Writer extends Object
Internal use only.

## Constructor Summary

Constructors
Constructor
Description
`Writer()`
Constructs a writer.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`toByteArray()`
Converts the written data into a byte array.
`StackMap`
`toStackMap(ConstPool cp)`
Converts to a `StackMap` attribute.
`void`
`write16bit(int value)`
Writes a 16bit value.
`void`
`writeVerifyTypeInfo(int tag, int data)`
Writes a `union verification_type_info` value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Writer

public Writer()
Constructs a writer.

## Method Details

### toByteArray

public byte[] toByteArray()
Converts the written data into a byte array.

### toStackMap

public StackMap toStackMap(ConstPool cp)
Converts to a `StackMap` attribute.

### writeVerifyTypeInfo

public void writeVerifyTypeInfo(int tag, int data)
Writes a `union verification_type_info` value.

Parameters:
  `data` - `cpool_index` or `offset`.

### write16bit

public void write16bit(int value)
Writes a 16bit value.